SSS_OBFUSCATE(8)

NAME
sss_obfuscate - ofusca una contrasenya en text clar

SYNOPSIS

sss_obfuscate [opcions] [PASSWORD]

DESCRIPCIÓ

sss_obfuscate converteix una contrasenya especificada a un format illegible per als humans i la posa a la secció del domini adequat del fitxer de configuració de l'SSSD.

La contrasenya en text clar es llegeix de l'entrada estàndard o s'introdueix de forma interactiva. La contrasenya ofuscada es fica al paràmetre “ldap_default_authtok” del domini SSSD indicat, i el paràmetre “ldap_default_authtok_type” s'estableix a “obfuscated_password”. Consulteu sssd-ldap(5) per a més detalls sobre aquests paràmetres.

Tingueu en compte que ofuscar les contrasenyes no proporciona cap benefici real de seguretat, ja que un atacant encara podria extreure la contrasenya amb enginyeria inversa. Es recomana aferrissadament l'ús de mecanismes d'autenticació millors com els certificats al cantó del client o el GSSAPI.

OPCIONS

-h,--help
    Mostra el missatge d'ajuda i surt.

-s,--stdin
    La contrasenya per ofuscar es llegirà de l'entrada estàndard.

-d,--domain DOMINI
    El domini SSSD on s'utilitza la contrasenya. El nom per defecte és “default”.

-f,--file FITXER
    Llegeix el fitxer de configuració que s'especifica amb el paràmetre posicional.

    Per defecte: /etc/sssd/sssd.conf

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://github.com/SSSD/sssd/